New features and significant updates in version...

Major changes in 43.2:
- Implement a gtksink video output fallback if native OpenGL support is
  not available.
- Fix a lot of thumbnailing failures caused by memory hungry video decoders
- Hide the rotate menu items if rotation is not supported
- Fix some AVI files not being associated correctly
- Fix widget focus when starting video playback
- Fix left-over files when streaming a video and the player is closed
- Fix window not being matched to the application under Wayland
- Stop using gnome-shell to flash the screenshot area, that stopped
  working a long time ago
- Stop thumbnailing m3u playlists
- Remove obsolete plugins (apple-trailers, vimeo)
- Fix a number of possible crashers
- Translation updates

Major changes in 43.1:
- Fix scroll-by-page GTK setting breaking slider
- Fix a number of MPRIS playback controls not working correctly
- Fix a number of opensubtitles dialogue problems
- Fix hyphens appearing in filenames
- Force using newer GStreamer va-api plugins, fixing scrambled videos
  in some cases
- Fix error showing the keyboard shortcuts
- Fix assertion when backends send out audio or image files
  even though we asked them to be filtered out
- Translation updates

Major changes in 43.0:
- Remove obsolete Bugzilla entries from desktop file
- Translation updates

Major changes in 43.rc:
- Fix videos not playing when opening through nautilus 43
- Translation updates

Major changes in 43.beta:
- Throw a better error if OpenGL couldn't init
- Translate DVD/VCD device errors
- Save screenshots into ~/Pictures/Screenshots
- Make search entry keyboard navigable
- Add playlist page to GTK inspector (disabled by default)
- Fix fullscreen header bar not showing up

Major changes in 43.alpha:
- Update thumbnailing code for gnome-desktop API changes
- Fix crashes and warnings when some plugins are missing
- Use GResources to load UI files, simplify plugin declarations,
  and remove a lot of unused code
- Update man page

Major changes in 42.0:
- Updated appdata screenshots
- Fix screenshot functionality not working since the port to
  the OpenGL video widget
- Translations updates

Major changes in 42.beta:
- Port video widget from obsolete Clutter to OpenGL
- Move subtitles and audio track selection to its own menu
- Add shortcuts for mute, cycling through subtitles, toggling
  subtitles and seeking to specific places in the video
- Implement a enabled-by-default native MPRIS plugin to replace
  the Python MPRIS plugin
- Remove media-player-keys plugin that supported the old GNOME
  Settings Daemon API, now replaced by MPRIS
- Show more precise elapsed time when stepping frame-by-frame
- Implement "search by title" in OpenSubtitles plugin

Major changes in 3.38.0:
- Translation updates

Major changes in 3.37.90:
- Add support for Tracker 3 indexer
- Support auto-loading VTT subtitles
- Fix some stutters on some systems when current state is being
  saved to disk
- Better error messages when SSL/TLS support is missing
- Improve the search entry's behaviour
- Improve the way time is written in some places
- Remove association with audio files, as we really don't want
  to be an audio player
- Fix YouTube search not working
- Fix a number of keyboard shortcuts not working
- Remove a number of deprecated calls

Major changes in 3.34.0:
- Make introspection non-optional for the plugin system to work
- Translation updates

Major changes in 3.33.90:
- Update application icon
- Use title case for the "Open Containing Folder" menu item
- Disable VAAPI support for now, it's too buggy

Major changes in 3.33.0:
- Add "Open containing folder" menu item
- Include "totem" in the desktop keywords
- Make --version command-line option public
- Reduce GSettings writes on startup
- Fix menu sensitivity for OpenSubtitles plugin
- Remove obsolete LIRC and Brasero plugins

Major changes in 3.32.1:
- Show the application window when opening a new file
- Work-around "Can't play a text file without video or visualizations" error
- Build fixes
- Translation updates and fixes

Major changes in 3.32.0:
- Translation updates

Major changes in 3.31.92:
- Add an error message when file is encrypted, or empty,
  or DVD playback is attempted with missing libraries
- Make "Stop" keyboard button act like the Stop button on a
  CD player
- Remove all mentions of the external chapters plugin, it wasn't
  used since 2012
- Fix possible crash when browsing
- Fix DesktopEntry in MPRIS plugin
- Translation updates

Major changes in 3.31.91:
- Move nautilus properties page to nautilus module
- Fix fullscreen toolbar's appearance in RTL languages
- Update appdata and screenshots
- Don't advertise VCD support, GStreamer 1.0 has never supported it
- Add support for "start time" in playlists
- Make Ctrl+W navigate back before exiting
- Make it possible to load subtitles from the command-line
- Fix media player controls not appearing in gnome-shell in
  some cases, and the next/previous buttons not working
- Make previous/next buttons' state update when a movie
  contains chapters
- Use better labels for Subtitles and Languages menus
- Fix some display problems when files are longer than detected
- And other smaller bug fixes
  - Throw a warning when download buffering breaks because
    of a missing plugin
  - Make framerate more precise in properties
  - Fix a warning on exit when brasero is not installed

Major changes in 3.31.90:
- New icon
- Remove app menu
- Modernise user documentation
- Loads of fixes in "Make available offline" functionality
- Fix proxy configuration in Flatpak
- Disable VA-API plugins in thumbnailer
- Plenty of build fixes and changes, including:
  - Use gettext instead of intltool
  - Fix parallel build
  - Remove gromit, ontop and zeitgeist plugins
  - Remove most X11 dependencies (except XInitThreads)

Major changes in 3.26.1:
- Fix crash when properties tab is closed too fast
- Thumbnail OPUS and M4B audio files
- Fix thumbnailing on platforms with V4L M2M hardware decoders
- Fix playing back MJPEG files
- Fix Python Console menu not appearing
- Build fixes:
  - Remove dependency on Debian-specific pycompile utility
  - Fix build with gtk-doc 1.26

Major changes in 3.26.0:
- Fix a possible build race
- Fix lirc plugin compilation
- Python console bug fixes
- Install appdata in the new location
- Translation updates

Major changes in 3.25.90.1:
- Build fixes

Major changes in 3.25.90:
- Move to meson build system
- Fix media-player keys usage to match API documentation
- Fix internal video widget API documentation
- Remove unused totem-audio-preview
- Split off video thumbnailer into thumbnailer and gallery maker
- Blacklist bmcdec plugin in the thumbnailer

Major changes in 3.24.0:
- Translation updates
- Add Flatpak build definition

Major changes in 3.23.90:
- Add keyboard shortcut to de-select all items
- Fix possible crash on first run
- Set a minimum width for the "Go" menu
- Mark many audio and video mime-types as handled
- Add more shortcuts to the keyboard shortcuts dialogue
- Fix a small memory leak in thumbnailer
- Fix missing plugins' startup notification on Wayland
- Fix crash when network turns off
- Port to non-obsoleted widgets
- and build fixes

Major changes in 3.22.0:
- Fix symbolic icon not appearing in gnome-shell's top bar

Major changes in 3.21.91:
- Add variable rate playback menu
- Build fixes
- Fix thumbnailing of 4k videos

Major changes in 3.20.1:
- Make playback rate available to plugins
- Add more shortcuts for the shortcuts help window
- Fix a number of compilation warnings

Major changes in 3.20.0:
- Fix a theming regression in the play/pause button box
- Translation updates

Major changes in 3.19.92:
- Fix regression from 3.18 which could cause none of the builtin
  plugins to be activated

Major changes in 3.19.91:
- Change "Skip to" label in shortcuts
- Make header popup translucent in fullscreen as per mockups
- Fix totem-audio-preview translations
- Add context to strings to translate in the shortcut window

Major changes in 3.19.3:
- Port to grilo 0.3.0
- Add a shortcuts help window
- Use new grl-video-title-parsing plugin
- Move controls OSD to the bottom of the screen
- Fix fullscreen toolbar not appearing in Wayland
- Add Ctrl+W to quit
- Add man page for totem-audio-preview
- Fix GSettings changing on startup
- A number of deprecation warning fixes

Major changes in 3.18.1:
- Make DVD menu navigation work again
- Updated translations

Major changes in 3.18.0:
- Fix rendering bugs in the search entry

Major changes in 3.17.92:
- None compared to 3.16.4

Major changes in 3.16.4:
- Fix selection not working after visiting Channels page
- Fix MPRIS plugin following internal API changes
- Revert Wayland compatibility changes, it's not a required
  change in GNOME 3.16

Major changes in 3.16.3:
- Fix ASF videos not being thumbnailed
- Bring back video inside the window under Wayland
- Fix Skip To dialogue not working
- Fix thumbnailer with newer versions of gstreamer-vaapi installed
- Update YouTube API key

Major changes in 3.16.2:
- Fix popup not showing up on touchscreens
- Fix potential crash on 32-bit systems

Major changes in 3.16.1:
- Loads of performance fixes, related to thumbnailing
  when a video is playing
- Fix (again) doubling files added on the command-line
- Don't monitor the tracker source, it adds incomplete
  items to the view
- Fix Videos icon not showing in volume control
- Provide a symbolic variant of the app icon
- Fix frames not getting applied for new thumbnails
- Don't warn when video rotation is unset

Major changes in 3.16.0:
- Translation updates

Major changes in 3.15.92:
- Update thumbnail styling
- Fix a crash on exit
- Fix application icon not showing in volume control
- Disable popover transitions for video menus
- Fix downloading subtitles with newer Python versions
- Translation updates

Major changes in 3.15.91:
- Build fixes
- Internationalisation fixes
- Update appdata file
- Translation updates

Major changes in 3.15.90:
- Better missing plugins support with GNOME Software
- Modify appearance of source icons
- Make view switcher button homogeneous
- Use intltool to translate GSettings schema files directly
- Better translator comment for subtitle-encoding
- Remove outdated helper script, which used Python 2

Major changes in 3.15.4:
- Remove spacing around preferences tabs
- Stop thumbnailing when exiting, and when playback starts
- Handle "Powerpoint" buttons on remotes
- Keep the controls visible when seeking with the slider
- Show controls when seeking with the keyboard
- Use the theme's foreground color to render the symbolics
- Only show videos longer than 5 seconds in the overview
- Hide source which provide torrent URLs (for now)
- Remove use of a number of deprecated properties
- Require a newer cairo for hi-dpi support
- Fix Totem doubling files added on the cmd line
- Fix missing translation support in thumbnailer/gallery support

Major changes in 3.14.1:
- Fix lingering white line in fullscreen
- Fix bug in MPRIS support when used via Rygel
- Thumbnail bookmarked movies as well
- Fix starting Totem via D-Bus (gnome-open)
- Port from appdata-tools to appstream-glib
- Add a keyboard shortcut for starting subtitles download

Major changes in 3.14.0:
- save-file: Handle an unset Videos directory
- Fix popup disappearing when volume is being set
- Remove border from error dialogue
- Require newer versions of clutter-gtk and gst-plugins-base

Major changes in 3.13.92:
- Fix opening files following the D-Bus-ification
- libgd updates to fix the appearance of check boxes and subtitle labels

Major changes in 3.13.91:
- Generate thumbnails for the videos in the main view when they're missing
- Rename totem.desktop to org.gnome.Totem.desktop
- Updated translations

Major changes in 3.13.90:
- Rename "Recent" section to "Videos"
- Remove visualisation support
- Remove browser plugin
- Better error message for RTSP blocked by firewall
- Automatically rotate mobile phone videos
- Allow seeking past fill-level
- Postpone loading library after playback
- Fix headerbar title when playing search results
- Fix crasher on startup with newer GTK+
- Fix crash when browsing Euronews source
- Use correct icon name for "gear" menu
- Don't allow adding duplicate items to recent view
- User new "audio-filter" property
- Fix loading Audio CDs' Wave files
- Fix potential data loss when removing multiple files
- Reset loaded text subtitles when closing video
- Fix hidden cursor with visible popup
- Move the "un-fullscreen" button to the corner

OpenSubtitles:
- Don't throw an error when the language is unknown
- Fix subtitles suffix when saving it
- Add support for Basque

Major changes in 3.12.1:
- Bump required versions of grilo and GStreamer
- Fix delete button's initial state
- Switch to the player view quicker
- Add support for starting a playlist paused
- Escape selection mode when pressing Esc
- Fix shuffled items starting to play in random order
- Hide popups when leaving the window, but not when a popover
  (volume, menus) is visible
- Don't toggle popups on touchpad clicks, just on touchscreens
- Fix scroll-wheel going forward 2 minutes instead of 1
- Save the downloaded subtitles in the video directory
- Re-add drag'n'drop support for the video widget

Major changes in 3.12.0:
- Fix artifacts caused by GtkPopovers
- Don't add containers in the Recent view
- Various opensubtitles plugin bug fixes
- Translation updates

Major changes in 3.11.91:
- Use popovers for menus, and remove their shadows
- Hide popups after 2 seconds not 5
- Fix crashers when deleting items
- Only resolve using the passed source
- Remove stock icons usage
- Don't offer to save file in ~/Videos subdirs
- Fix empty window title in some cases
- Fix handling of kbd shortcuts with multiple modifiers
- Blacklist adult sources for now
- Fix ngettext usage
- Avoid queueing multiple thumbnail updates
- Add names to timeouts and idles
- Don't monitor the filesystem plugin
- Translation updates

Major changes in 3.11.90:
- Add sideways swipe gestures to seek inside the window
- Move Open/Add menu items to the "Add" button
- Add drop support to the "Recent" section of the overview
- Implement "Make Available Offline"
- Maximise window by default
- Make F10 show the gear menu
- Make Ctrl+F toggle the search mode
- Handle the "Play DVD" remote control key
- Pause playback when the screensaver comes on
- Correct spacing and title of the preferences window
- Remove film strip by default from thumbnails, nautilus
  will add them itself if necessary
- Fix monitoring of Grilo sources
- Show switcher buttons when turning on search
- Ensure the buffering spinner gets removed when closing a file

Major changes in 3.11.5:
- Complete redesign :)

Major changes in 3.5.90:

- Plenty of build fixes to make it possible to build with Wayland support
- Increase thumbnail size to 256 px

Movie player:
- Rename to "Videos"
- Hide titlebar when maximised
- Move some menu items to the app menu
- Command-line parsing bug fixes
- Use Grilo to list DVDs and other optical media
- Remove connection speed preferences
- Stop DVD playback when disc is ejected
- Fix ordering of the playlist after drag'n'drop

Backend:
- Port to GStreamer 1.0
- Add HTTP proxy support
- Much improved error messages
- Add variable rate playback
- Use Clutter for the OSD
- Disable visualisations by default
- Animate rotations
- Add av-offset support
- Prepare the ground for chapter support in non-DVDs

Plugins:
- Make screenshot UI-less, like in gnome-shell
- Simplify the screensaver and browser plugin code
- Remove publish and iPlayer plugins
- Use Grilo 0.2
- Better search sidebar
- Add hook for site-specific user-agents
- Add hook for custom subtitle selection through plugins
- Move recent-files handling to a plugin

3.4.0:
* Mark some strings as translatable
* Handle Clutter failing to initialise
* Don't handle Ctrl+Space (which is used for IM switching)

3.3.92:
* Check plugins for introspection in configure

3.3.90:
* Show Vorbis DESCRIPTION field in Comments
* Use GTK+ code to detect the workspace's work area
* Do use direct seeking for files in the wastebasket
* Thumbnail FLAC files too
* Fix crash when using MPRIS plugin
* Fix compilation of the rotation plugin with newer Vala

3.3.4:
* Re-enable and fix compilation of zeitgeist-dp plugin
* Use new GLib threading API if compiling with GLib ≥ 2.31.0
* Fix some problems with `make check` on the Python plugins

3.3.3:
* Add plugin to replace the Flash plugin for online videos
* Add support for RTMP URLs
* Fix vala plugins compilation
* Fix --time option in thumbnailer
* Fix possible crashes with the browser plugin
  on OpenBSD
* Remove obsolete youtube and bemused plugins
* Port browser plugin to GDBus
* Fix getting the cover art in the movie player
* Fix crasher when Totem is passed arguments

3.2.1:
* Fix crash when framerate isn't available
* Quieten the thumbnailer when thumbnailing non-videos
* Loads of translations

3.2.0:
* Fix Python console settings conversion bug
* Loads of updated translations

3.1.92:
* Mention our support of a few more mime-types
* Handle HTTP Live Streaming (in the main player,
  and the browser plugin)
* Loads of translations

3.1.91:
* Port D-Bus service to MPRIS 2.1
* Store and restore the rotation status of videos
* Fix the "save" button not work in the playlist
* Screensaver fixes for non-GNOME sessions
* Port to pygobject 3.0

3.1.4:
* Add Grilo plugin
* Remove Coherence UPNP, Tracker and Jamendo plugins
* Add plugin to rotate videos

* Fix audio tracks not appearing with their language names
* Add keyboard shortcut for "Save"
* Remove sidebar drop-down item, and use menu items instead
* Fix translations of the nautilus properties window
* Subtitles plugin bug fixes

3.1.0:
* Use clutter-gst to draw the video, the
  only major related change is simpler zoom modes
* Use GStreamer API directly for audio preview
  utility (used in nautilus), thumbnailer and
  nautilus properties window
* Show container format in the properties
* Add ability to switch video tracks
* Add ability to "thumbnail" DVD ISOs
* Advertise support for audio/x-stm and audio/x-s3m
* Fix possible dropped chapters in chapter plugin

* Code:
  - Port media-player-keys plugin to GDBus
  - Add pylint support for all Python plugins, and fix
    errors from it, and port all of the plugins to
    GObject Introspection
  - Simplify screenshot code

* Removed:
  - Remove XVidMode support in backend
  - Remove video indexer, it wasn't used
  - Remove thumbnail plugin which doesn't serve a purpose
    under GNOME 3

3.0.0:
* Fix packing and spacing in the properties
* Fix subtitle downloader and jamendo plugins
* Loads more translations

2.91.93:
* Fix activation of all Python plugins
* Make Python console work again
* Loads of translations

2.91.92:
* Plenty of screensaver related bug fixes
* Make "Open Location" dialogue modal
* Never use an empty User-Agent in the backend
* Don't poke at web server when we already have
  information to set up "recent files"

2.91.91:
* New icon!

and also:
* Fix screensaver for latest gnome-screensaver
* Fix possible assertion in save-file plugin
* Use gnome-session instead of Galago for status notifications
* Fix thumbnailer with both --size and --raw options
* Require GTK+ 3.x in pkg-config file, and fix compilation for
  out-of-tree plugins
* Make sure all the builtin plugins get activated on startup
* Fix screenshot for interlaced videos

2.91.7:
* Allow finer-grained control on the volume using Shift as a modifier
* Add Zeitgeist provider plugin
* Don't crash if plugins weren't loaded
* Update work area code
* Update for latest libpeas changes
* Make default plugins dialogue bigger
* Fix saving localised strings in the chapters CMML files
* Fix vanishing entries when loading mixed media types from slow links
* Fix screensaver not disabling when switching to fullscreen straight away

2.91.6:
* YouTube plugin:
  - Show actual stream title instead of "videoplayback" in the
    recent items menu

- Fix build with latest GTK+ version
- Various build fixes

2.91.5:
* Build:
  - Fix build with newer versions of GTK+ 3.x

* Thumbnailer:
  - Register thumbnailer with new scheme
  - Always use the better looking resize method, even for
    large thumbnails

* Movie Player:
  - Use new-style toolbar for playlist
  - Fix look of plugins preferences
  - Notice panels when automatically resizing the window

* Plugins:
  - Fix subtitles plugin not closing after download
  - Downgrade YouTube plugin's abilities, see:
  http://www.hadess.net/2011/01/youtube-playback-will-suck-again.html
  - Offer to launch YouTube in browser if video is not
    available in the requested format.
  - Re-add support for Vala plugins and sample vala plugin
  - Add support for additional multimedia keys
  - Port tracker plugin to newest API

* Browser plugin:
  - Fix possible crasher in the glow button

2.91.4:
* Build:
  - Port to GtkStyleContext
  - Other GTK+ 3.x fixes

* Movie Player:
  - Remove the MythTV plugin (upstream is dead and UPnP works just as well)
  - Change the data paths in GSettings schemas
  - Lots of Python plugin fixes
  - Add a save file plugin
  - Fix a race condition when parsing multiple playlist entries
  - More GSettings fixes and cleanup
  - Use symbolic icons for the volume level
  - Fix plugin shutdown

* GStreamer backend:
  - Various drawing fixes

* Updated translations

2.91.0:
* List audio/mp2 as supported

* Build:
  - Use upstream gettext instead of GLib's
  - Plenty of bug fixes for building against GTK+ 3.x

2.90.6:
* Movie Player:
  - Re-enable Python plugins
  - Update for libpeas and GTK+ 3.x changes
  - Add chapters plugin
  - Use icon for the sidebar
  - Don't try to load subtitles, or chapters data for streams
  - Only popup controls when the mouse moves a certain distance
  - Port to GSettings

* YouTube plugins:
  - Fix playback again
  - Support Web-M videos
  - Hide URLs from the tooltips, they're not useful

* GStreamer backend:
  - Don't block main thread when seeking

* Thumbnailer:
  - Use msecs instead of seconds for seeking, which should fix black frames
  - Make --raw work along with --size, so you can avoid adding borders

2.90.5:
* Movie Player:
  - Port from libunique to GApplication
  - Rework cancellation in the YouTube plugin to remove races
  - Reorganise the core code into an installed library, libtotem.so
  - Add gobject-introspection support to this library
  - Make it possible to build plugins out of tree by installing a few header files
  - Remove the old Python and Vala bindings in favour of introspection
  - Port the Python plugins to libpeas and the new bindings (note that they aren't re-enabled yet due to being too unstable)
  - Tidy up the "Open Location" dialogue
  - Port to the updated PeasUIConfigurable interface in libpeas 0.5.2

* Browser plugin:
  - Add support for the VLC input.length property

2.90.0:
* Movie Player:
  - Fix some strings in the BBC iPlayer plugin
  - Support async loading of playlists
  - Fix window resizing when showing/hiding the controls and sidebar
  - Add deinterlacing to the preferences
  - Add support for accurate seeking
  - Add WebM support
  - Port to GDBus
  - Port to libpeas for plugin handling (porting the C plugins, but disabling the Python and Vala ones)

* Browser plugin:
  - Fix URL parameter usage in the GMP plugin
  - Fix the position when the QT plugin gets to the EOS
  - Add support for the input.time and togglePause VLC JavaScript API
  - Add support for the VLC toolbar argument
  - Initialise GType support when called into

* GStreamer backend:
  - Implement deinterlacing support and turn on automatic deinterlacing by default
  - Fix constant buffering when playing live streams
  - Ensure the widget uses the system colourmap

2.30.1:
* Movie Player:
  - Fix artifacts and flashing or black screen when paused
  - Better download buffering handling
  - Fix crasher when PyGTK is badly installed
  - Avoid problems with seeking when pausing the video too early
  - Fix link to Totem website in error messages
  - Disable seeking in DVD menus
  - Make Eject menu item work for DVDs
  - Fix playback from FTP sites

* Plugins:
  - Port Tracker plugin to Tracker 0.8
  - Make YouTube plugin work again for latest site changes

* Browser Plugin:
  - Add download buffering support even when streaming from
    the browser itself
  - Fix playback on the Apple trailers site, and add seeking support

2.30.0:
* Updated translations

2.29.92:
* Fix some possible hangs when switching files

2.29.91:
* Fix compilation with newer versions of Tracker
* Update time in the status bar when frame-stepping
* Fix a lot of build problems with newer GTK+, or using pedantic linkers
* Update Vala bindings for external plugins
* Fix problems with the popup menu in the browser plugin

2.29.4:
* Fix documentation build

2.29.3:
* Movie Player:
  - Add GConf key to disable all the keyboard shortcuts
  - Implement type-ahead search
  - Display embedded cover images in audio streams
  - Add "fullscreen" button in the main video UI
  - Fix for new TotemPlParser API
  - Fix the time elapsed not showing up in the status bar
    with newer GTK+
  - Fix translation of skip menu items in RTL languages
  - Make "Esc" passing the keyboard focus to the video canvas
  - Close RTSP streams, and clean up temporary buffer files on exit

* Web browser plugin:
  - Fix a number of Javascript functions not working in the QuickTime plugin
  - Implement SetURL for QuickTime

* Plugins:
  - Remove built-in DVB support, and rely on gnome-dvb-daemon instead
  - Convert D-Bus plugin to MPRIS plugin

* GStreamer backend:
  - Fix playback of files from archives
  - Make track switching faster

2.29.2 (changes since latest stable 2.28.4 release):
* General:
  - Add disk buffering for QuickTime and Flash video files,
    and only start playing the file when it can be played
    uninterrupted until the end
  - Add support for authentication for HTTP and RTSP streams
  - Make track switching faster
  - Don't save the volume anymore, the sound system should
  - Use cairo to draw the logo

* Movie Player:
  - Add OSD when keyboard or remote keys are pressed
  - Add support for reverse frame-stepping
  - Add support for playing back DVDs and VCDs from mounted
    ISO images
  - Include the movie name when taking screenshots
  - Use gallery instead of screenshot in suggested gallery file names

* Browser plugin:
  - Use referrer information
  - Add support for subtitles in the VideLAN API
  - Remove "Complex" (RealMedia compatible) plugin

2.28.0:
* Use name from the playlist for the recent item
* Set the stream volume using PulseAudio
* Fix a crash in the web browser plugin with WebKit
* Fix playback of YouTube videos
* Fix possible hangs after playing a remote file

2.27.92:
* Movie Player:
  - Remember the current file position when Pause is clicked
  - Show menu item description in status bar
  - Make Home and End keys seek to the start and the end of streams
  - Use Totem's icon as the main window logo
  - Make screenshot dialogue more like GNOME's
  - Bug fixes:
    - Fix crash when a storage volume is encrypted
    - Make shuffle playlists faster with a large number of items
    - Fix the artist not showing up in the window title
    - Detect non-xine DVB channel configurations
    - Select the directory in which the movie is by default,
      when looking for a subtitle

* Web browser plugin:
  - Use the user-agents for the plugins we're mimicking
  - Show controls for the Cone plugin when VLC compatibility
    isn't explicitely asked

* Thumbnailer:
  - Make it possible to output thumbnails without the film borders

* Plugins:
  - Add plugin authoring tutorial

2.27.2:
* Movie Player:
  - Add frame-by-frame stepping
  - Better fallback names for audio and languages tracks
  - Make the arrow keys navigate DVD menus when one is loaded
  - Move subtitles-related menu items to View → Subtitles.
  - Bug fixes:
    - Fix loading subtitles from the cache
    - Fix loading videos when Totem is already running
    - Fix drag'n'dropping a video onto itself reloading the video
    - Only add a file to the recent files when it has been played,
      makes startup with loads of files much quicker

* GStreamer backend:
  - Prevent tags from other tracks to show up when
    they're not used
  - Try to mount the location where the file is when it's
    not already mounted

* YouTube plugin:
  - Fix a possible crasher when loading thumbnails
  - Fix problems in non-English locales
  - Fix video list rendering problems

- Fix UI differences between the YouTube, Jamendo and local seach plugins

2.27.1 (since 2.26.2):

Major changes:
* Port GStreamer backend to playbin2
* Remove xine-lib backend
* New BBC iPlayer plugin
* Port YouTube plugin to C, much faster
* Use libunique instead of our home-cooked version

New features:
* Add a D-Bus service plugin, to allow getting playback information
  from a running Totem
* Add support for DVD navigation to the GStreamer backend

Misc bug fixes:
* Remove relief from the playlist buttons
* Set the default drag action to be copy, and only make
  the video widget a drag source when a video is loaded

2.25.92:
* Set PulseAudio application properties
* Fix possible crasher in eggdesktopfile
* Add support for MXF videos
* Fix repeat not working in the browser plugin

2.25.91:
* Document internal API for plugin writers
* Fix a few focus problems
* Accept human-friendly inputs in the "Skip To" dialogue
* Add a huge number of languages to the subtitle downloader plugin
* Make looping smoother when only one file is being played in repeat
* Make the gallery creation progress window work as expected
* Fix a possible crasher when getting metadata in the xine-lib backend
* Many build fixes
* Make Totem more robust when Python fails to initialise

2.25.90:
* Add a UPNP/DLNA plugin
* Add a plugin to allow creating galleries of screenshots
  for video files
* Add a plugin to allow copying DVDs and VCDs through Brasero,
  as well as creating new DVDs from the playing video
* Add support for Repeat and Shuffle through LIRC
* Add support for a number of playlist types
* Update audio and video files types supported by the properties
  window to not include playlists
* Fix recent files not working when the playlist was empty
* Avoid resetting colour balance sliders when set at the maximum
  or the minimum
* Fix the screensaver not being disabled in some cases
* Add number of build and UI fixes

2.25.3 (changes since 2.24.3):
* Interface changes:
  - Make the left-click seek directly to the destination
  - Hide colour balance sliders that aren't available
  - Make modifiers work as expected when drag'n'dropping files
  - Use "Movie Player" everywhere in the interface
  - Add an arrow to the sidebar button
  - Convert British English messages to American English
  - Show the fullscreen popups when seeking with the keyboard
  - Better behaviour when changing the type of playlist to be saved
  - Fix playlist problems when removing an file that was deleted
    from the filesystem
* Subtitle handling:
  - Add plugin to download text subtitles from OpenSubtitles.org
  - Allow selecting a text subtitle from the View menu, or by dropping
    the file onto the video widget
  - Add the subtitle and languages menus to the fullscreen popup
* Browser plugin:
  - Remove the "basic" web browser plugin, we now use the same
    API as VideoLAN for our default plugin
  - Fix relative paths not resolving in some cases
  - Fix repeat=true only playing files twice
* Plugins:
  - Add Jamendo plugin
  - Add support for streaming TV from MythTV
  - Fix YouTube movie playback following website changes
  - Make the local search and YouTube search sidebars look more alike
  - Add proper mute support for remote controls
  - Fix the metadata-updated signal to be useful
* Build:
  - Remove libgnome dependency
  - Remove NVTV support
  - Use g_timeout_add_seconds() when possible
* GStreamer backend:
  - Require the rsndvdbin plugin for DVD playback
  - Add zoom support
  - Fix some files not giving us metadata with the video indexer
  - Fix the video window getting bigger than the screen
  - When streaming, the pause button stops
* Other:
  - Add ability to create a gallery image using the video thumbnailer

2.23.91:
* Numerous UI and bug fixes

* DVB playback:
  - Add support for a helper to setup DVB channels
  - Support multiple DVB adapters
  - Better DVB error messages

* New features:
  - Allow '+' and '-' to go to the previous/next tracks
  - Make the LIRC plugin work out-of-the-box on a majority of remotes, and add
    support for the Stop key
  - Add a Python console plugin

* Movie player:
  - Require a newer gmyth to support newer MythTV instances
  - UI fixes for the playlist and play buttons showing the wrong status on error
  - Fix restoring previous sessions
  - Don't resize the window in the middle of a stream, for example, when watching TV
  - Build fixes for Python and Vala plugin backends

* Youtube plugin:
  - Fix webpage URLs getting added to the playlist, rather than movies themselves
  - Don't eat the CPU when searching for videos
  - Blacklist the ffmpeg FLV demuxer, and popup the plugin installation helper
    if no other demuxers are available

* GStreamer backend:
  - Fix possible drifts in the colour balance
  - Fix the UI not updating for internet radio titles when streaming
  - Add support for ATSC (North-American DVB)
  - Update visualisations aspect ratio when the screen size changes

2.23.4:
* Remove gnome-vfs requirements, all over
* Better help output when wrong arguments are passed
* Automatically remove files from the playlist when they've been
  removed from the filesystem
* Bug fixes for build on MacOS X with native GTK+
* Always use files on fuse when available
* Plenty of small bug fixes

* Thumbnailer:
  - When a file contains cover art, use the art as the thumbnail

* Web browser plugin:
  - Remove mozilla specific requirements
  - Show stream titles in fullscreen
  - Add double-click -> fullscreen
  - Hide controls by default in the Cone (VLC) plugin
  - Implement Playlist::isplaying for Cone

* Plugins:
  - Remove need to configure the MythTV plugin, use UPNP instead
  - Add a progress bar to the YouTube plugin
  - Add support for high-res YouTube videos
  - Use ~/.local/share/totem/plugins/ for user-plugins

2.23.3:
* Update FSF address in the sources
* Use GIO when a GIO source isn't available (xine-lib, GStreamer)
* Reset player state when we get an error whilst syncing
* Add Totem specific application/x-totem-plugin type to the browser plugin
* Fix building against latest totem-pl-parser
* Fix browser plugin not showing on http://www.la1.be site

2.23.2:
* YouTube plugin bug fixes
* Add ability to launch YouTube videos in a web browser from the YouTube plugin

2.23.1:
* Port large portions of the code to GIO
* Add audio/x-speex as a supported mime-type
* Update Vala sample plugin and bindings to use new features
* Movie Player:
  - Add an icon to "Clear playlist"
  - Fix a crash when a command-line argument isn't known in the GTK+
    only build
  - Fix the bug report script
  - Fix crasher when trying to load (unsupported) audio CDs
* YouTube Plugin:
  - Make the plugin faster, by downloading less data
  - Don't crash when the server returns HTTP errors
  - Check for required GStreamer plugins in the YouTube plugin
* GStreamer backend:
  - Fix a possible crash when forcing use of ximagesink (as is the case
    for small videos on trailers.apple.com)
* xine-lib backend:
  - Allow loading remote subtitle files using gvfs' fuse
  - Fix potential crasher when copying MRLs from the engine

2.23.0:
* Build the backend as a shared library instead of statically
  inside the front-ends, so they can easily be swapped out

2.21.96:

* Add missing accessibility properties to the interface files
* Fix some warnings in the help files

* xine-lib backend:
  - Fix crash when using multi-head

* GStreamer backend:
  - When resizing a visualisation, resize to the native resolution,
    not the minimum size
  - Add DVB-C (digital cable TV) support

2.21.95:

* Fix build
* Support audio/midi
* Only stay on top when video is playing back, not visualisations

* xine-lib backend:
  - Fix compilation
* GStreamer backend:
  - Fix logic in the channels.conf parsing for DVB

2.21.94:

Note that configuration files are now in ~/.config/totem/ instead
of ~/.gnome2/Totem. You will need to move the files by hand.

* Movie player:
  - Fix crash when pressing a remote button in windowed mode
  - Fix the YouTube plugin when there's no search results
  - Better support for using "--fullscreen" on startup
  - Default to using the fastest speed for MMS streaming
  - Support auto-loading subtitles when the suffix is upper-case
  - Add a bug-buddy script so we get more information when totem crashes
* Browser plugin:
  - Support the audio/x-ms-wma mime-type
  - Better VLC Javascript support
  - Implement stubs for DivX Player Javascript support
  - Force opening videos directly with the DivX plugin
* GStreamer backend:
  - Check for DVB plugins before saying it's available

2.21.93:
* Movie player:
  - Make "Aspect ratio" menu items work again
  - Add DVB playback straight in the "Movie" menu
  - Add better errors when parts are missing for DVB playback
  - Fix a crasher when using the mouse scroll in windowed mode
* Browser plugin:
  - Fix playback on the Stage6 website
  - Fix playback of lessons on the arichuvadi.nrcfosshelpline.in site
  - Fix playback on the Sirius Radio website
  - Fix playback on the mediathek.zdf.de website
  - Show errors in the plugin with a logo when there is one
* GStreamer backend:
  - Add support for playing titles from DVDs in the backend
* xine-lib backend:
  - Fix build
* Plugins:
  - Fix build with newer versions of gmyth

2.21.92:
* Update the tracker plugin UI
* Fix compilation with newer versions of Vala
* Support both the old and the new gnome-settings-daemon APIs for
  multimedia keys
* Small bug and build fixes

2.21.91:
* Add support for the new x-content/ type, to show in the nautilus'
  media selection
* Lock the screensaver when only audio is playing, but allow the users
  to disable that behaviour, for monitor-powered speakers
* Add a thumbnail plugin to use the video's thumbnail as the window icon
* Remove unneeded gnome-desktop and HAL dependency
* Don't start up gnome-settings-daemon when it's not already running
* Forcefully exit after 10 seconds when we can't finish the shutdown
* Don't change the resolution of screens on multi-head setups
* xine-lib:
  - Check metadata being in UTF-8 before passing it to the player
* GStreamer:
  - Fix a few crashers by not using GConf in the streaming thread
* Browser plugin:
  - Fix building the GTK+ version

2.21.90:
* Fix GTK+-only build wrt. the tracker plugin and the startup-notification
* Fix building with newer versions of Vala
* Make the icon bigger when the launcher is dropped on the desktop
* Ignore backup files when adding them to the playlist
* Only put Totem on top when playing audio
* Install the Nautilus extension in the correct directory
* Browser plugin:
  - Reduce the number of times the button glows in the browser plugin
  - Handle application/x-ogg mimetype

2.21.5:
* Fix the browser plugin not linking against the playlist parser
* Add more strings to be marked as translations
* Fix some missing files in the release
* Stop the sidebar showing up even when it was closed in the previous run

2.21.4:
* Small improvements to the playlist sharing plugin
* Depend on the split totem-pl-parser module

2.21.3:
* Add a sharing plugin using libepc
* Add a Tracker-based video search plugin
* Add the ability to select text subtitles for files in the UI
* Port the mythtv plugin to using the TotemVideoList
* Show a busy cursor when loading tracks from the YouTube plugin
* Restore the previously active sidebar page when restarting Totem
* Add the --no-existing-session argument to allow launching multiple
  instances of the Movie Player

* Browser plugin:
  - Add support for compiling with xulrunner
  - Skip 0-length streams in playlists

* GStreamer backend:
  - Add graphviz support

2.21.2:
* Fix compilation problems on Solaris
* Playlist parser
  - Add support for parsing M3U files with drive letters in the filenames
  - Implement decoding of decimal entities in XML files, as used in Podcasts
  - Fix parsing of podcasts from Feedburner.com
  - Fix parsing of RSS feeds that have their channel metadata at the end
    of the file

* Browser plugin
  - Implement SetURL, GetURL, SetVolume, GetVolume and GetCurrentPosition in the
    Windows Media Player compatible plugin
  - Implement SetVolume and GetVolume in the QuickTime compatible plugin

* xine-lib backend
  - Fix a missing requirement for gnome-keyring

2.21.1:
* Plenty of YouTube plugin bug fixes
* Add OPML parsing
* Podcast parsing fixes, including parsing data from links as supplied
  by the "Connecting to the iTunes Store" page
* Add support for XM tracker files
* Fix totem-audio-preview to support both the current nautilus behaviour, and
  the one used in the gio porting branch

2.21.0, Changes from 2.20.1
* Features
  - Add a MythTV plugin, and a YouTube plugin
  - Add the ability to drop files in specific places in the playlist
  - Add a Cone plugin to mimic VLC's browser plugin
  - Remove support for audio CDs, there are better options out there
  - Allow ejecting CDs or removable drives when playing data files
  - Disable text subtitles loading by default, as it can slow opening new files down
  - Look for text subtitle files in the subtitles/ sub-directory as well
  - Make it possible to select a DVD menu item with the 5 key of the numeric pad
  - Add a totem-audio-preview program that plays audio data passed from the standard
    input, as can be used by Nautilus' audio preview

* Bugs
  - Fix behaviour when a file appears twice in the playlist
  - Disable the volume button on startup, so it doesn't pop on start
  - Only make the "save screenshot" button sensitive when we can get a
    screenshot

* Browser plugin
  - Add a toggle button to popup the right-click menu
  - Implement SetVolume and SetSource in the Complex plugin
  - Implement GetRate, GetMaxBytesLoaded, GetMovieSize, GetTime and GetDuration
    in the QuickTime-compatible plugin
  - Set the logo to a play button when we have something to play on click

* Playlist parser:
  - Add RSS and Atom podcasts parsing, including URLs reserved for iTunes
  - Add metadata to the "playlist-started" signal
  - Add totem_plparser_parse_duration
  - Add support for the autoplay metadata in QuickTime metalinks
  - Add support for the abstract, copyright, author and moreinfo
    properties for ASX playlists
  - Add support for the author, "dur", "clip-begin", abstract, and copyright
    attributes of SMIL
  - Ignore SDP and NSC files, backends handle them themselves
  - Use the canonical device when giving the cdda MRL

* xine-lib backend:
  - Try to get authentication information from the keyring when
    authentication fails for HTTP locations
  - Seek by time instead of fraction when possible, gives better precision

2.19.90
* Make the default window size bigger on first startup
* Remove most of the flicker from the waiting cursor on startup
* Fix hang on startup with some versions of GCC
* Fix crashes when opening files with non-UTF-8 filenames
* Fix the fullscreen seekbar not working

* Browser plugin:
  - Support the .Mac galleries
  - Support replaying videos when they're in the browser cache
  - Make the glow button behave better when the mouse pointer is inside it, glow
    when a new file is ready to play and requires the user to click play
  - Support the video/x-m4v and application/asx mime-types
  - Save the volume from video to video
  - Naively skip unplayable items in playlists
  - Support ASX playlists with starttime
  - Fix some really small videos not showing up in the browser

* Playlist parser:
  - Add PLA playlist write support
  - Only push UTF-8 strings to the applications
  - Fix parsing of some complicated relative URLs
  - Fix parsing of M3U playlists when the files have spaces in their name
  - Push the starttime and duration properties to applications from ASX playlists

* xine-lib backend:
  - Fix the seekbar not moving when playing an unseekable source (such as browser
    streams in the browser plugin)

2.19.6
* Features:
- Detect DVD rips even if the VIDEO_TS directory is passed, and not the
  top-level directory
- Add support for the Back, Forward, Open, Open URL, Eject, Save,
  Zoom In, Zoom out multimedia keys
- Add support for Python and Vala plugins
- Move the "Open Location" dialogue to a plugin
- Also show comments in the properties tab and sidebar
- Make the play button glow when autostart is off, to avoid not seeing anything
- Use the GTK+ volume widget
- Add a Bemused server plugin
- Add FLV and NSV support to the browser plugin
- Add PLA playlist read support
- Add fullscreen support to the browser plugin

Bug fixes:
- Fix parsing of some playlists when the base ended with a '/'
- Don't crash when searching in plugins list
- Fix the properties page missing some symbols
- Make recent streams parsing faster in the "Open Location" dialogue
- Fix the second file in a playlist not updating the seekbar
- Use double-buffering in logo mode, or when showing the logo in audio-only mode
- Draw a nice black background on the video widget's place
- Fix parsing of ASX playlists when an entryref doesn't have a parent
- Use a combobox for the sidebar drop-down
- Use Glib's function for xdg-user-dirs support
- Use GtkBuilder in loads of place
- Fix visual effects showing up in the middle of a video in the browser plugin
  (xine-lib)

2.19.4
* Check for subtitles even if the file we're playing uses an extension
  longer than 3 characters
* Don't show the properties when in fullscreen
* Avoid UTF-8 string manipulations in the recent files code
* Make the "Switch angles" menu item work again
* Show an error when the Skip to glade file can't be found

2.19.3
* Move the Skip To dialogue and the Properties to plugins
* Fix the accessible names of the +/- buttons in the volume popup being the
  wrong way around
* Some build fixes related to the plugin names
* Add support for RAM parameters parsing, for rtsp/pnm URLs

2.19.2
* Features:
  - Add basic DVB support
  - Add a plugin system
  - Add the "On Top" plugin, to make Totem stay on top when playing a video
  - Add the "Galago" plugin, to set your IM status when playing videos
  in fullscreen
  - Move LIRC support, Media Players key support, and Telestrator to plugins
  - Use xdg-user-dirs to add the Movies and Music shortcuts to the file choosers
  - Make "Enter" dismiss the "Open Location" dialogue
  - Move the play/pause button to the leftmost of the UI
  - Make Totem only send ticks when playing, not when paused or stopped
  - Use play/pause icons in the playlist to show the current state,
  as in Rhythmbox
  - Allow capture a specific time in a movie using the thumbnailer

* Don't crash when we can't get a display name for the file we're trying to play
* Don't crash on exit when LIRC is used
* Some multi-head fixes
* Move all the configuration files to ~/.gnome2/Totem
* Remove the webcam application Vanity
* Curb the resources used by the video thumbnailer and indexer
* Make the pause remote key actually pause
* Allow disabling the iso-codes checks in configure
* Avoid removing just added files when passing multiple files to enqueue
* Handle the Stop button from remotes
* Hide the resize grip when the window is maximised
* Remember the last directory used to save the screenshots, and set the
  Pictures directory as the default save directory
* Fix the language labels so that they show "English #2" instead of "en #2"
  when a specific language appears more than once
* When seeking back and paused, make sure the slider goes back to 0:00
* Disable "Fit Movie to Window" when the window is maximised
* Re-add tooltips for the Play/Pause, Previous, Next buttons, and the volume
  button when the volume is 0 on startup

* Browser plugin:
  - Allow disabling Totem for specific mime-types user-wide, and system-wide
  - Make the volume button scroll in the right direction
  - Remove rejection of streams based on mime-type, too many false positives
  - Make the Complex plugin report version "10.0", as is current for the Helix
  plugin
* Playlist parser:
  - Support extra metadata being passed from the parser
  - Remove home-made canonicalise function, fixes Win32 build
  - Add SMILtext parsing support
  - Add devices drag'n'dropped from nautilus to the playlist
  - Fix RTSPtext parsing for one-line URLs
* Properties:
  - Reorder the audio properties so they match the order of the video ones
* GStreamer backend:
  - Fix compilation against GStreamer with debugging disabled
  - Add missing plugins to the local blacklist, if the user cancels
  the installation
  - Remove some unneeded debug output
  - Make sure an error dialogue shows up if the missing plugins
  installer returns an error
  - Make the missing plugins code work when a subtitle stream was passed as well
  - Fix elapsed time accuracy when no audio output is present
  - Show proper names for the number of channels, instead of just a number
  - Fix errors on startup if a soundcard isn't available
* xine-lib backend:
  - Fix browser plugin support
  - Set the font size according to the preferences
  - Take into account the original image ratio before scaling it
  - Return a cached stream length if we couldn't get one accurately

2.18.0
* Fix resizing of the sidebar the first time it's opened
* Fix using the playlist parser with the Python bindings
* Translate the preferences dialogue title
* Don't change the screen resolution when switching to fullscreen
  and the resolution isn't the highest possible
* Don't crash when the XRandR extension isn't available
* Avoid crashes when Totem is compiled with LIRC support, and
  no remoted are configured
* Make the ASX playlist parser more robust
* Browser:
- Don't crash when the plugin has been unloaded, and the desktop
  theme is changed
- Fix parsing of boolean values
* Fix playback of Ogg Vorbis files (xine-lib backend)

2.17.92
* Fix building when /bin/sh isn't Bash
* Add better debugging support to the thumbnailer and indexer
* Don't crash when launch Totem with no filenames, and Totem
  is already started
* Thumbnailer:
  - Fix problems with the first frame being captured sometimes
* Browser plugin:
  - Implement a few Javascript calls in the Windows Media Player-
  compatible plugin
* GStreamer:
  - Avoid warnings when we can't get tag lists
  - Use GStreamer's missing plugins functionality
* xine-lib:
  - Allow cancelling an open, for use in the browser plugin

2.17.91
* Fix crasher when getting the listed of subtitles/languages
* Handle the icyx:// protocol
* Add video/x-theora+ogg, application/ram, video/x-matroska,
  audio/x-matroska and audio/x-wavpack to the supported mime-types
* Solaris compilation fixes
* Fix vanity compilation
* Fix using the playlist parser from Python
* Have "Audio files" and "Video files" filters in the Open dialogues
* Browser plugin:
  - Add stubs of Javascript support for the GMP (Windows Media compatible)
  browser plugin
* GStreamer backend:
  - More robust code to check for stream metadata
  - Fix title streaming in internet radios
* xine-lib backend:
  - Fix blue-ish pictures created by the thumbnailer

2.17.90
* Fix build with older GCCs, older Mozillas, "-j2", and Solaris
* Add support for the new "Media Player keys" infrastructure in
  GNOME 2.18
* Append "#X" number to duplicate languages in the menu entries
* Add "TrueAudio" as a supported file type
* Add an uninstalled pkgconfig file for the playlist parser
* Fix launching Totem remotely (broken by GOption work earlier in 2.17.x)
* Make GTK+-only version compile again
* Fix disabling the browser plugin using configure
* Playlist parser:
  - Only export public symbols from the library
  - Avoid crashing when an MP3 that we can't get info about is being parsed
* Browser plugin:
  - Add stubs of Javascript support for the NarrowSpace (Quicktime-
    compatible) and Complex (Real/Helix-compatible) plugins
  - Only set the "hand" cursor when we're ready to be clicked
  - Only stop using video acceleration when the video size is given
* Thumbnailer:
  - Avoid crashes with newer version of GLib
  - Add a --verbose output
* GStreamer:
  - Make mouse events work properly while playing
  - When reaching the end of a file while seeking, go to the next
    item in the list, instead of getting closer and closer to the end
  - Show an error when we're missing the video decoder for a file
  - Avoid reentrancy errors by handling errors asynchronously (avoids
    bad state when clicking too fast)

2.17.5
* Make GStreamer the default media backend
* Implement icy:// playback
* Browser plugin:
  - New D-Bus-based architecture
  - Test suite (unpackaged)
  - Support audio/x-mpegurl and audio/mpeg in the GMP plugin
  - Support image/gif, image/jpeg and application/x-quicktime-media-link
    in the QuickTime plugin
  - Use Gecko API to determine whether a protocol is support
  - Fix "hidden" parameter used without a value
  - Support Mozilla 1.7.x
  - Launch the external movie player with startup notification
  - Use QuickTime's real name in the NarrowSpace plugin
  - Fix crashes and memory eating when the reserved space is smaller
    than the minimum possible size of the plugin
  - Add support for "audio only" outputs
  - Show an error image when a file isn't readable/available
  - Don't allow remote web pages to reference local files
  - Use visualisation if there's a video canvas, and playing an audio only file
  - Only use accelerated video for the main movie when loading small "QuickTime"
    redirect movies from apple.com
  - Only show errors after having parsed a playlist if the parsing failed, show
    the totem logo if the playlist was empty
* Playlist parser:
  - Use less memory when checking whether a file can be parsed as a playlist
  - Support "Google Video Pointer" playlists
  - Add support for the BASE element in ASX playlists
  - Don't crash when there's no URL in an XSPF entry
  - Don't crash trying to playback CD/DVDs on non-glibc systems
  - Handle ":" and "," as field separators in m3u files
  - Support .pls files without a "NumberOfEntries" line
  - Handle .img files that really are ISO images
* Movie player:
  - Support optional automatic/easy codec installation
  - Make the sidebar's Close button work as expected
  - Disable the drive's menu entry if there's no medium inside it
  - Fix restoring the session
  - Don't poll for volume when not playing anything
  - Add video/flv as a supported video type
  - Show .cue and .iso files in the "Open" dialogue
  - Remember where the "Open" dialogues were opened
  - Make gnome-screensaver support work again
  - Make double-click on the video canvas toggle fullscreen, and middle-
    click play/pause
  - Disable the zoom menu entries when the logo mode is on
  - Only disable the screensaver if we manage to play the movie
  - Make keyboard work on the Image Settings sliders
  - Remember the URLs opened in the "Open Location" dialogue
  - Automatically add the clipboard content to the "Open Location"
    dialogue if there was a URL
  - Add a "Clear Playlist" menu item
* Volume button:
  - Don't stop working when "Esc" is pressed to dismiss the popup
  - Add a tooltip with the volume percentage
* GStreamer:
  - Use the soundcard set in the GNOME sound preferences to playback sound
  - Respect widescreen output for visualisations
  - Don't show errors if we can't create an audio output, simply disable sound
  - Don't change the global speaker setup values when running in metadata
    or capture mode
  - Report a more accurate "seeking" capability
  - Show better error messages when a demuxer or decoder is missing
* xine-lib:
  - Fallback to Goom if we can't load another visualisation plugin
  - Avoid the thumbnailer exiting before we captured a frame for short movies

2.17.3
* Trap errors when calling XRandR to avoid possible crashes when switching
  to fullscreen
* Re-add the Properties menu item, to make it more discoverable
* Fix accessibility with the seek bar
* Remember the sidebar size when Totem exits maximised
* Fix the playlist not accepting new drops after a drop caused an error
  dialogue to appear

2.17.2
* Many a11y and multi-screen support fixes
* Make use of icons from the themes instead of our own
* Browser plugin:
  - Always support GIF and PNG images
  - Rework parsing of parameters
  - Handle image/x-pict as Apple recommends to force use of QuickTime
  - Make sure we don't copy "fd://0" to the clipboard, or use it to launch
    the Movie Player when streaming from the Web Browser
  - Support MPEG streams in the Windows Media plugin
  - Add work-arounds for broken Microsoft IIS webservers
  - Catch possible errors that occur after the playback has started
* Playlist parser:
  - Add better "plain text" playlist detection
  - Add ASX playlists detection
  - Fix D-Bus warnings
  - Work around a possible assertion when reading from HTTP fails
* Movie Player:
  - Numerous accessibility fixes
  - Add support for Wave and Au files
  - Fix --toggle-controls, and using the "Deinterlace" menu item
  - Avoid warnings when parsing languages translation
  - Fix seek not working as expected in Right-to-Left languages
* GStreamer backend:
  - Do full audio scrubbing
  - Avoid crashing when a file's metadata is invalid UTF-8
  - Avoid possible hangs when getting a redirect message
* xine-lib backend:
  - Implement direct-seeking when playing back a local file

2.17.1
* Add a new video indexer for use by Beagle
* Some Win32 compilation fixes
* Browser plugin:
  - Add support for a lot of mime-types that were barred from
  use following 2.17.0 changes
  - Fix parsing some longer playlists
  - Don't crash when printing a page with a plugin
  - Fix playback of non-browser supported schemes
  - Prefer the filename parameter to the src one
  - Add basic QuickTime URL extensions support
* Playlist parser:
  - Add basic RTSPtext support
  - Better support for Real playlists on web servers
  - Disable unsafe items to be parsed from the playlist
  - Try harder to sanitise XML files before parsing them
  - Fix parsing of empty files
  - Fix some old D-Bus usage
  - Remove HAL < 0.5 support
* Make Totem the only application that fully implements session saving
* Resize the window properly when showing/hiding the controls

2.17.0
* Updated documentation
* Use new GtkRecentManager as the rest of GNOME 2.16
* Handle the Apple Remote's menu button when playing back DVDs
* Add audio sample rate and audio channels in the properties
* Set volume up/down sensitivity properly when reaching a boundary
* Use the builtin overwrite confirmation when saving playlists
* Change the title when changing songs on Shoutcasts streams
* Add support for multiple selections in the playlist popup menu
* Playlist parser:
  - Handle playlists linked inside playlists as used on kinkfm.com
  - Handle "BASE HREF" in ASX files
  - When adding ISO images, or on-disk DVDs, set a title
  - Allow forcing the playlist to be parsed based on data rather than
    filename
* Browser plugin:
  - Don't accept streams that aren't from the supported mime-type
  - Add support for video/mp4
  - Add support for image/x-macpaint, image/x-quicktime, and QTSRC
    (fixes playback for Yahoo!'s Quicktime trailers page)
  - Fix playback of streams at http://gametrailers.com/
* Thumbnailer:
  - Try harder to get a useful picture
  - Save the original width and height in the PNG's
  tEXt::Thumb::Image::Width and tEXt::Thumb::Image::Height attributes
* GStreamer backend:
  - Restore the statusbar text when we've been buffering
  - Fix buffering when streaming
* xine-lib backend:
  - Set previous/next states, and title properly when playing back a DVD

2.16.1
* Browser enhancement:
  - Fix the "Open with..." menu item not showing for some supported types
  - Hide the preferences menu item
  - Fix playback for http://www.viftv.no
  - Fix videos on http://www.apple.com/getamac/ stopping playing
  - Support the "showcontrols=false" parameter, for http://www.k9media.se
  - Fix playback of videos on http://news.sky.com
  - Add a new plugin to support videos on http://stage6.divx.com/
* When opening the "Skip to" dialogue, set the default to the current time
* Fix a possible crasher when checking for an ASF reference file
* Use the top-level title from the SMIL playlist, when there isn't an
  entry specific one

2.16.0
* Add keyboard support for the DVD keys: Up, Down, Left, Right
* Add support for audio/AMR, audio/AMR-WB and Musepack
* Remove old GStreamer 0.8 hacks
* Avoid repeat being turned on when it shouldn't in the web browser plugin

1.5.92
* Fix a crash when HAL isn't available
* Fix compilation with older versions of HAL, without HAL, and with the
  Browser plugin disabled
* Save and restore the sidebar width
* Set and use the connection speed preference (GStreamer)

1.5.91
* Numerous Browser Plugin enhancements:
  - Playlist support
  - Split the plugin in 4 different plugins, to allow
    name-based detection to work, and different Javascript interfaces
    to be used (Real Player/Helix, Windows Media Player and Quicktime
    compatible, and basic Totem)
  - Handle repeat and autostart parameters
  - Make sure the plugin is available for all Mozilla-based browsers
  - Make scrolling on the volume widget work as it should
* New icon
* Use HAL to determine the disc type
* Save and restore which sidebar was showing, and whether Totem was
  maximised
* Fix the window title not changing when playing files with broken names
* Fix Ctrl+Q not working in fullscreen
* More logo mode fixes (xine-lib)
* Fix aspect ratio of visuals (xine-lib)

1.5.90
* Add a default filename to the save playlist dialogue
* Add supprot for more DVD related remote buttons
* Move the properties dialogue to the sidebar
* Fix build with newer versions of D-Bus
* Avoid linking directly against the Mozilla libraries, should allow
  build-time and run-time engines to be different (build against Mozilla,
  run in Firefox)
* Make the "Seek To" dialogue work correctly when using the keyboard
* Fix logo related redraws (xine-lib)
* Try harder to extract audio/subtitles languages from files (GStreamer)

1.5.4
 * update xine-lib requirement to avoid startup crashes

1.5.3
 * Text subtitle encoding is now selectable
 * Numerous Browser Plugin enhancements:
   - Try to cache files while playing them
   - Add support for cache=true hint
   - Fix getting the true path for relative paths
   - Add support for audio-only playback
   - Add a way to copy the URL from the right-click menu
   - Add "Open in Movie Player" in the right-click menu
 * Make showing/hiding the sidebar not resize the video or the window
 * Pop down language and subtitle menus to avoid hangs when the language or
 subtitle changes while the menu is open
 * Add AC3 and Monkey's audio to the known filetypes
 * Draw the logo ourselves, so we don't crash on startup if the logo is too
 big for the X video buffer (xine-lib)
 * Show the logo when playing audio without visualisations
 * Fix a crash with non-default buffering values (GStreamer)
 * Fix a leak each time the logo was set (GStreamer)
 * Fix the "Skip to" dialogue not working when paused (GStreamer)

1.5.2
 * Make Space Play/Pause when the video widget has the focus
 * Fix DVD playback when started from gnome-volume-manager
 * Allow localisation for time labels
 * Fix possible crash when using the Nautilus properties tab
 * Use HAL to detect presence of discs in the drives
 * Fix problems using the Mozilla plugin on PPC systems
 * Add Impulse Tracker and MOD files to the list of supported types
 * Add audio/vnd.rn-realaudio as a supported playlist format
 * Use theme friendly window icons
 * Fix a new installation of Totem not using visualisation (GStreamer)

1.5.1
 * Add XSPF playlists read and write support
 * Allow users to choose the type of playlist to write when saving

1.5.0
 * Remove unused DXR3 support
 * Remove GStreamer 0.8 support
 * Fix the GTK+-only version not displaying some menu items
 * Update the "Skip to" time label when entering time manually, fix sensitivity
 of the OK button in that dialogue
 * Fix crash on exit if the interface couldn't be loaded
 * Add basic support for the Quicktime Metalink playlists
 * Avoid deadlocks when forcing opening with a subtitle when there's none
 * Fix crash when setting the connection speed setting to the maximum
 * Make the previous/next icons in the popup the same as in the rest
 of the interface
 * Make menu shortcuts unaccessible in fullscreen
 * Make Ctrl+S show the "Skip to" dialogue as it should
 * Fix a small memory leak in the Nautilus properties plugin
 * Add debugging to the playlist parser
 * Make the preferences window appear on top of the main window at all times,
 and hide it straight away when exiting
 * Fix playback of non-Mozilla streams (such as mms) in the Mozilla plugin
 * Fix saving non-relative m3u playlists
 * Handle space as Play/pause in windowed mode if the video widget has
 the focus
 * Work-around broken .pls files from Virgin radio
 * Fix problems with sound not coming out when audio output selected
 isn't Stereo (xine-lib)
 * Fix pixel aspect ratio settings (GStreamer)

1.4.0
 * Added Bulgarian user guide
 * Show the "Seeking to" label in fullscreen as well
 * Make the standard zoom keyboard shortcuts work
 * Allow to save thumbnails in JPEG rather than PNG
 * Playlist parser fixes for Rhythmbox' initial import
 * Make nautilus startup faster by only initialising the backend when
 we require it (GStreamer)

1.3.92:
 * Get the list of subtitles and languages (GStreamer 0.10)
 * Fix the window title not getting set properly when loading a new file
 * Avoid hang when skipping to the next file (GStreamer 0.10)
 * Require glib 2.8 to avoid crashers (GStreamer 0.10)
 * Compilation fix with glib > 2.8.0 and < 2.9.1
 * Fix a critical warning on startup when a particular file is in the recent
 files list
 * Fix a warning on open (GStreamer 0.8)

1.3.91:
 * Show the waiting cursor when opening files, parsing playlists and starting up
 * Add popup menu support with the keyboard to the playlist
 * Don't reverse items when moving them down the playlist
 * Remove the scrollbars in the playlist when it's been emptied
 * Don't look for subtitles on HTTP servers
 * Don't show playlists as ignored after having parsed them successfully
 * Bigger and better logo
 * Fix a possible crash with the ASF playlist parser
 * Add support for the target property, opening the movie in a stand-alone
 Totem (Mozilla plugin)
 * Add support for background music (Mozilla plugin)
 * Take the aspect ratio of the screen when setting the size of the
 visualisations (xine-lib, GStreamer 0.10)
 * Fix compilation with glib < 2.8
 * Add ability to disable text subtitles when Totem loads them automatically
 (xine-lib)
 * Better logo mode handling (GStreamer 0.8)
 * Free the video output after showing images (GStreamer 0.8)
 * Show the logo when playing an audio file without visualisations
 (GStreamer 0.10)
 * Better key seek handling (GStreamer 0.10)
 * Fix problems with setting the speaker arrangement (GStreamer 0.10)
 * Fix playback of files with non-16-bit audio (GStreamer 0.10)
 * Don't block when getting metadata (GStreamer 0.10)
 * Better error message when the decoder/demuxer doesn't support streaming
 (GStreamer 0.10)

1.3.90:
 * Use Ctrl+S as "Take Screenshot..." shortcut
 * Fix a possible crash on start with multiple totem processes
 * Support application/smil and application/x-smil mime-types
 * Better parsing of SMIL playlists
 * Better parsing of ASX playlists with multiple REF entries per ENTRY
 * Make the about box parented on the Mozilla window (Mozilla plugin)
 * Fix data being dropped when streaming from fast servers (Mozilla plugin)
 * Fix the state of the volume button on startup (Mozilla plugin)
 * Fix the Subtitles and Audio tracks not being available (xine-lib)
 * Support on-the-fly visualisation plugins change (GStreamer)
 * Fallback if the configured output plugins aren't available (GStreamer)
 * Don't shrink the toplevel window when setting the logo (GStreamer)
 * Fix video thumbnailing for movies with a non-1/1 aspect ratio

1.3.1:
 * Add a "capabilities" mechanism to the playlist parser library
 * Fix crash when calling the "add to playlist dialogue twice"
 * Fix parsing of sub-directories
 * Fix crasher in the Mozilla plugin when bringing up a second instance
   by making the plugin resident
 * Call the authentication manager, so thumbnails with keyring-stored passwords
   can be generated
 * Support newer versions of gnome-screensaver
 * Don't make the properties page assert if we can't initialise the backend
 * Don't overwrite the title when there's already a custom title in the playlist
 * Write EXTM3U m3u files
 * Add a test program for the properties page
 * Fix warning on exit when in fullscreen
 * Support Flash Video files, and OGM files
 * Set the preferences dialogue as a child of the main window
 * Update libegg from CVS
 * Fix double error dialogues on open sometimes (xine-lib)
 * Clean up unused plugins after opening a file (xine-lib)
 * Check for plugins in configure (GStreamer)
 * Fix compilation with the Forte compiler (GStreamer 0.10)
 * Fix multiple problems with the properties dialogue (GStreamer 0.10)
 * Fix the seek slider being disabled on startup (GStreamer 0.10)
 * Make seeking in AVI files snappier (GStreamer 0.10)
 * Ignore errors beyond the first one when opening files (GStreamer 0.10)

1.3.0:
New features:
  * New Ukrainian (uk) help files
  * Use filters in the Open file dialogues
  * Support turning off the screensaver when gnome-screensaver is used
  * Scroll to the current file in the playlist when starting to play it
  * Add ability to play back DVDs and VCDs from .iso and .bin/.cue files
  * Add a menu item for switching angles on DVDs
  * Don't add backup files to the playlist
  * Remove audio CD playback from the UI, as to avoid duplication with sound-
  juicer and Rhythmbox

Bug fixes:
  * Play file from the beginning when double-clicking on it in the playlist
  * Make CD drives with blank CDs in them unsensitive in the Play Disc menu
  * Avoid weird startes when using the "Toggle fullscreen mode" shortcut
  * Fix drag'n'drop on the playlist itself not working
  * Parse Shoucast playlists in .m3u files properly
  * Stop the currently playing song when loading a media, and playing this
  media fails
  * Set the play/pause buttons' tooltips according to the image
  * Fix possible crashes on startup when the widget creation functions cannot
  be found
  * Use N/A instead of '0' when the bitrate or the number of frames per second
  isn't available in the property window
  * Fix a possible crash on startup in the Mozilla plugin
  * Fix possible i18n problems with the Nautilus properties window and the
  Mozilla plugin
  * Fix compilation of the Mozilla plugin with newer versions of D-Bus
  * Fix a memory leak in the Mozilla plugin
  * Fix a crasher when running the Mozilla plugin in a debug build
  * Allow compiling the Mozilla plugin against xulrunner
  * Fix duplicate access key in the display preferences
  * Fix wrong accesskeys for the saturation and hue sliders
  * Show the video properties again when a stream has video
  * Move Totem's remote socket to TMPDIR
  * Remove libmusicbrainz dependency
  * Detect DVDs and VCDs properly on a pmount setup
  * Don't save Totem's thumbnail with an alpha component, for recent
  Nautilus changes
  * Remove keyboard shortcuts from the main video popup menu
  * Fix resizing of the sidebar
  * Fix problems parsing remote ASX files

GStreamer:
  * GStreamer 0.10 support
  * Fix an access to invalid memory when getting metadata from a file

xine-lib:
  * Avoid playback stopping when seeking forward in DVDs
  * Get the xine-lib version at run-time

1.2.0:
* New French (fr) translation of the help files
* Fix problems with the nautilus property window not getting translated
  properly
* Add missing strings for translation
* Remove warnings when exiting early because audio or video outputs
  aren't available (GStreamer)
* Fix the visualisations not running on startup (xine-lib)
* Correctly change the visualisation plugin when it's not currently in use
  (xine-lib)

1.1.5:
* Fix Totem not finding the type of a disc when it's not in /etc/fstab
* Some (more) volume button fixes
* Don't leak memory when getting the supported mime-types of the plugin
* Fix generation of the playlist-end signal in the playlist parser
* Allow reading DVD off the disk (GStreamer)

1.1.4:
* Fix sensitivity of the volume menu items
* Avoid crashes with the screensaver disabling code
* Use D-Bus for the communication between the mozilla plugin and the viewer
  (more reliable, and supports multiple plugins at the same time)
* Make it impossible to have the sidebar smaller than the buttons it contains
* Hide the sidebar when hiding the controls
* Make the sidebar shortcut F9 like other GNOME applications
* Add suport for ASF redirect files
* Don't display the length in full-screen mode if it is unknown
* Disable the "Save" button in the playlist if it is empty
* More volume button fixes
* Fix build with newer pkg-config versions
* Fix double error messages when reading encrypted files (xine-lib)
* Only create visual effects plugins when needed, not on startup (xine-lib)
* Allow remote subtitle files (GStreamer)

1.1.3:
* Move the playlist dialog to a sidebar
* Use a new volume widget in the main player window
* Deprecate the use of vcd:, dvd: and cd: to play discs, and have the
  user pass a directory (for vcd: and dvd:) or a device path (for all) instead
* Avoid resizing on startup before we really show the window
* Fix a crash when 'Hide controls' is called while starting up
* Move the Repeat and Shuffle menu items to the Edit menu
* Disable the Zoom menu items correctly on boundaries
* Don't crash when trying to set the Zoom level during startup
* Hide the main window quicker on exit
* Make the album name selectable in the property dialogues
* Update the length in the property window as the stream is played
* Add the ability to write/read a title when saving a playlist
* Ignore images and text files when reading playlists or parsing directories
* Say that we support Shorten and 3GPP files
* Show the track number in the window title if available
* Avoid triggering the mouse pointer highlighter when in fullscreen
* More resilient "Play disc" feature when trying to play back Audio CDs
* Sort files before inserting them in the playlist when dropping them
* Better parsing of ASX playlists and ASF reference files

* Better Mozilla plugin headers detection
* Fix compilation of the Mozilla plugin with GCC4
* Add a working volume button

* Fix the Mozilla plugin's window showing up outside the browser (GStreamer)
* Better iradio title support (GStreamer)
* Add DVD subtitles support (GStreamer)
* Better error messages on startup and during playback (GStreamer)
* Fix some memory leaks (GStreamer)
* Remove a few startup warnings (GStreamer)

* Work-around problem in xine-lib that could mean files showing up as 0-length
* Work-around errors when seeking near the end of an ASF/WMV file
* Fix crashes when playing back some files with errors (xine-lib)
* Add a proper warning when trying to play an empty file (xine-lib)
* Fix hand icon not appearing on DVD menus in fullscreen (xine-lib)
* Fix detection of still images with newer xine-lib
* Fix screenshot aspect ratio for some MPEG files

1.1.2:
* Use MusicBrainz to get Title, Album, etc. for audio CDs
* Also read 3 letters country-codes for subtitles and languages
* Remove unexisting local files from the recent files list
* Make subtitles and languages menus unsensitive rather than their submenus
* Have the nautilus properties page set the tab label according to the file type
* Add the "--print-playing" command-line option that does what it says
* Desensitise zoom menu items when boundaries are reached
* Allow building the Mozilla plugin with Firefox
* Avoid deadlocks/CPU burn with the thumbnailer
* Fix GTK+ only build, remove GNOME dependency on the thumbnailer
* Make the Exit fullscreen appear on the right screen for Xinerama setups
* Misc Mozilla and playlist fixes
* Fix some playlist files from winamp.com not being parsed properly
* Don't show the fullscreen popups when the video window isn't focused
* Fix crash with some recent files
* Allow to pass a device directly to the playlist, for DVD and VCD

* Better error messages for some types of input (xine-lib)
* Fix crashes when zooming out too far (xine-lib)

* Prevent window flickering with some files (GStreamer)
* Implement per-track CD playback (GStreamer)
* Improve metadata loading in the nautilus properties page (GStreamer)
* Implement aspect-ratio switching (GStreamer)
* Add subtitles/languages labels for audio streams (GStreamer)

1.1.1:
* Major enhancements to the experimental mozilla plugin
* Remove use of libnautilus-burn, and list all the CD drives in the main
  movie menu
* Add a preference to select the subtitle font
* Avoid the progress bar changing the status bar's height
* Allow Totem to be passed multiple files by Nautilus
* Translate the language names in Totem's menus
* Make the "Skip to..." dialog appear again
* Don't crash if the playlist contains non-UTF8 data
* Fix parsing of some ASX playlists
* Slight performance increase in adding entries to the playlist
* Fix Drag'n'drop of files and directories with broken UTF-8, and from
  Konqueror
* Close the 'Open Location' dialogue when 'Esc' is pressed
* Fix a crash when reaching the first element in a shuffled/repeat playlist
* Fix parsing of directories with special characters and broken UTF-8
* Use the new 'Leave fullscreen' icon and label
* Add the Video bitrate in the properties
* Prevent a click in the recent files really opening the first file twice
* Add --play and --pause command-line options
* Fix compilation with glibc 2.2 systems
* Add a man page for totem-video-thumbnailer, and update the totem one
* Fix possible crash in the BaconMessageConnection
* Require glib 2.6.3 to fix the thumbnailer exiting too soon
* Fix date shown from some OGG files (GStreamer)
* Fix the cursor not disappearing (GStreamer)
* Allow relative paths to be passed to the thumbnailer (GStreamer)
* More HIG fixes

1.0:
* NVidia TV-Out support (GStreamer)
* Better overall metadata information (xine-lib)
* Fix volume bars not reaching 100% (all), or above 100% (GStreamer)
* Fix history not getting saved when using the "Open Location..." dialog
* Popup menu fixes (accelerators not appearing, wrong stock icons, wrong
  sensitivity on some items)
* Fix hangs opening the "Open..." dialog when a bookmark required authentication
* Lock-down mode support
* Only disable the screensaver in fullscreen mode when something is playing
* Handle unnamed sound channels (xine-lib)
* Don't allow the AC3 Passthrough audio output to set the volume (xine-lib)
* Fix colour balance settings not being remembered (GStreamer)
* Allow the thumbnailer to work without a display
* Make the fullscreen button go to the edge of the screen, and move it to
  the right hand-side as per the HIG
* Fix "Play Disc" when devfs is used
* GStreamer thumbnailer fixes

0.101:
* Rise the controls when in fullscreen and a remote's button is pressed
* Speed up frequently called functions by checking the previous state before
  updating
* Remove files from the playlist that are on a volume that's getting removed
* Use GTK+ 2.6 widgets, features and icons
* Port the Nautilus property pages to the GNOME 2.8 API from the Bonobo API
* Avoid triggering the accessibility features of X when in fullscreen
* Install the playlist parser as a library
* Don't crash when a file fails to open (GStreamer)
* Automatic subtitles support (GStreamer)
* Mouse interactivity support (GStreamer)
* Install Totem's .desktop file properly
* Fix volume setting on startup
* Fix the sound device not being released in some cases
* Fix non-stereo audio playback (xine-lib)
* Fix a bug parsing directories when filenames have '#' in their names

0.100:
* Implement session management support, remove automatic save/restore of the
  current playlist
* GStreamer DVD support
* Add a Russian manual
* Speed up startup (xine-lib only)
* Make Ctrl+arrows seek further in streams
* Only show playback errors when the user acted to provoke it
* Turn the cursor into a hand when hovering a menu in a DVD (xine-lib)
* Zoom in/out support (xine-lib)
* Create a default configuration file for the telestrator mode if none exist
* Support uvox:// URLs from Winamp.com (xine-lib)
* Check for the GStreamer libraries if xine-lib isn't available
* Implement buffering (GStreamer)
* Enable visualisation effects (GStreamer)
* Make the properties page work (GStreamer) and misc. fixes (all)
* Add Album metadata to the properties windows
* Hide the video properties if a file is an audio-only one
* Work-around a bug in GConf that caused playbacks to be very dark (xine-lib)
* Add 4.1-channel audio support
* Fix DVD playback from the disk
* Fix parsing of sub-directories, and .pls playlists with relative paths
* Fix bugs with the fullscreen popup windows when switching themes
* Make --toggle-controls work on startup
* Remove possible "burps" on startup when the sound is supposed to be muted
* Fix the wrong item being activated when clicking on a playlist in the
  recent files menu

0.99.22:
* Show the popups in fullscreen (GStreamer)
* Fix multiple volume icons appearing in the playlist
* Fix SVCD detection
* Fix SVCD playback (GStreamer)

0.99.21:
* New rest logo
* Automatically load text subtitles (xine-lib)
* Handle Drag'n'drop from Mozilla/Netscape
* Implement Drag from the Screenshot dialog to the file manager
* Fix error message when an optical media can't be played
* Make it possible to play a DVD from the hard-disk (xine-lib)
* Fix getting the CD type when the drive doesn't implement it
* Add an error message when the audio device is busy (GStreamer)
* Make drag'n'drop work again after double-clicking a playlist entry
* Don't bring up the skip dialog when the stream isn't seekable
* Fix a crash on exit playing URIs that aren't gnome-vfs URIs (mms://)
* Memory leak fixes

0.99.20:
* Add a beta "Telestrator" mode
* Fix a crash when closing Totem with non-file locations
* Set the current file chooser paths correctly
* Fix "Play Disc..." when the detected device is a symbolic link
* Remove warnings when zooming in a window with no video
* Fix detection of some DVDs, and speed-up disc type detection
* Report errors at the right moment in the GStreamer backend
* Add bitrate support to the GStreamer backend

0.99.19:
* Fix a crash using the "Play CD" menu item
* Update the recent-files code (file descriptor leak, icon loading speed-up for
  SVG icons)

0.99.18:
* Detect CD/DVD/VCDs automatically, instead of having 3 menu items
* Allow to shrink the window after zooming to a bigger size, or a restart
* Implement screenshots and thumbnailing in the GStreamer backend
* Fix flickering and extra video window in the GStreamer backend
* Fix parsing of .desktop files that we create ourselves
* Fix parsing of ASX (xml-ish) playlists again

0.99.17:
* Great overhaul of the GStreamer backend
* Fix parsing of Real Media and ASF playlists
* Some performance enhancements in the main interface
* Support the Unichrome video driver for the xine-lib backend
* Support for writing m3u playlists, including relative paths
* Use CD selection widget from nautilus-cd-burner, instead of our copy

0.99.16:
* Remove playlist items when ejecting an optical media
* Fix addition of optical media via the remote interface
* Fix Matroska and Real Audio file-types associations
* Fix KDE detection for newer KDE versions
* Work-around a bug in xine-lib where it wouldn't send the right error
  message if trying to play a DVD without libdvdcss installed
* Make --debug actually work for the instance that's being started
* Make "totem --quit" just exit if there's no running Totem instance
* Make Ctrl+A select all the files in the playlist window
* Fix error message when the codec doesn't have a nice name
* Fix properties windows when the file doesn't have audio or video
* Fix parsing of ASX playlists for GNOME 2.4 and above
* Recurse deeper into sub-directories
* Update to the latest recent-files sources

0.99.15.1:
* And again

0.99.15:
* Build fixes

0.99.14:
* Show an error when a file can't be added to the playlist
* Add a elapsed/total time label to the fullscreen controls
* Make Shift+Left/Right arrows do shorter seeks
* Add the ability to create better, bigger sized thumbnails
* Make Space as play/pause in fullscreen
* Fix the stock icons not appearing on some platforms
* Mime-type integration for GNOME 2.8
* Thumbnail still images recognised as videos as images (no film holes)
* Small bug fixes

0.99.13:
* Spanish documentation
* Show proper error message when a GUI video driver isn't available
* Fix cases where the reason for not being able to open a file could be missing
* Handle Ctrl+P to show the playlist even in hidden controls mode
* Fix potential misdetection of local display
* Share the playlist parser with Rhythmbox
* Make the back button go to the beginning of a track if we're not at the
  beginning of this track

0.99.12:
* Starts of a Mozilla plugin
* Fixes for Right-to-Left languages
* Fix a crash when the mms server wasn't available
* Fix the English ("C") documentation not being the default docs
* Update audio output selection to match that of xine-lib 1-rc4a
* Add support for the video/x-mpeg mime-type, as sent by some Windows versions
* Add files to the playlist orderly when adding directory

0.99.11:
* Starts of a GTK+ only build
* Allow reordering of the playlist via drag'n'drop
* Make aspect ratio a submenu, instead of being toggled
* Screenshot dialog fixes
* Fix a crasher in the m3u with extinfo parsing
* Get all the icons from the installed Totem if not otherwise available
* Fix a crasher on startup detecting the DVD+ drives
* Fix the release of the sound device when paused
* Add German documentation translation by Sebastian Heinlein
* Better error messages when opening a file fails

0.99.10:
* Use the new GtkFileChooser, and other GTK+ 2.4-related changes
* Make NVidia TV-Out work again
* Remove the (broken) automatic downloader and the CURL dependency
* Show an error message when the audio output isn't available
* Better error handling in the GStreamer backend
* Fix a bug in directory loading with newer glib versions
* Remove the builtin authentication manager to use the one provided
  by the GNOME libraries, fix a deadlock on startup when authentication is
  required
* Make vanity support Linux 2.6
* Stock icons support
* Have the command-line options translated
* Added context menu in the playlist to copy URLs/filenames to the clipboard
* Added a man page for totem
* Install handlers for mms, pnm and rtsp protocols in the xine-lib backend
* Add a button to reset the colour balance settings
* Make the fullscreen slider work again
* Make "totem cd:" work again
* Restore the default audio stream if a custom one is not available in the
  file that we're about to play
* Don't crash when the "none" video output plugin isn't available
* Don't probe for the Xv video driver on remote connections
* Disable the ALSA mixer event thread as we don't need it, fixes a crash/hang
  on exit when using the ALSA audio output
* Fix some bugs in ASX playlist parsing
* Fix crash using Optical Media playback with the GStreamer backend
* Statusbar is now right after ejecting an Optical Media

0.99.9:
* Extended Gstreamer 0.7.x support, DVD and Audio CD support, related bug fixes
* Add Saturation and Hue configuration
* Add support for m4a, DV, Matroska and FLC files as well as wax playlists
* HIG fixes
* Read additional data from extm3u playlists
* Warn the user when we can't play encrypted files
* Fix problems opening files with paths containing escape codes
* Fix bug with the popup window disappearing while dragging the
  volume slider
* Add status bar feedback while seeking
* Playlist behaviour fixes
* Don't save removable media items in the playlists
* Don't try to use the XvMC driver, NVidia has it broken
* Fix a crash with taking a screenshot of small videos
* Fix crashes with extremely long subchannels labels
* Fix build on non-XFree86 Solaris installations
* FreeBSD CD detection fixes
* Small UI and compilation fixes
* Make vanity and curl optional

0.99.8:
* Online manual from Chee Bin HOH
* Use the statusbar for buffering feedback
* Use less memory when there's no video output
* Fix playback of Quicktime files with reference urls
* Fix Real playlists support with "stop" commands
* Support the XvMC video driver
* Support audio/x-ms-asf data type
* Added ability to launch totem in fullscreen mode
* Fix compilation with GTK+ 2.3.x

0.99.7:
* Fix .pls playlist parsing and saving, as well as .m3u, .asx and .desktop
  playlist parsing
* Fix seeking with the arrows
* Add more paths for the Realplayer codecs
* Add an error message when we can't save the playlist
* Fix warnings when we have ampersands in the filename
* Fix XRandR handling

0.99.6:
* Shuffle option in playlist
* Make HTTP proxies work again
* Fix scaling, fullscreen and visualisation in GStreamer backend
* Get the title of all the tracks when playing an Audio CD
* Plenty of fixes for streams playback (playback on start works, no network
  activity when paused)
* Much faster playlist parsing when the files contain known good extensions
* Make properties menu unsensitive when we didn't manage to open a file, or
  the logo was shown
* Fix restoration of the size on restart after exit in fullscreen
* Remove selected entries from the playlist with 'Delete'
* Use 'eject' to eject CDs and DVDs
* Fix parsing of some ASX playlists
* Ignore empty lines in .m3u files
* Make Shift+F10 display a popup menu
* Fix access keys
* Fix drag and dropping local files with '%' in their name
* Update the "skip to" spinner as time passes
* Fix a hang on exit when playing back a song with visual effects on and paused
* A lot of API changes in the BaocnVideoWidget, cleanups

0.99.5:
* Modify the volume slider to have shortcuts to 0% and 100%
* Work around screensaver not being disabled when using xscreensaver
* Release the soundcard on pause if xine-lib is new enough to allow so
* Fix window size restoration on startup
* HIG-ify the error dialogs
* Fix plural handling for i18n
* Fix most of the build warnings
* Fix double-free that might have weird consequences

0.99.4:
* Fix possible crasher due to an old version of glade
* Update the subtitle and languages menus after having played a DVD or ogm file

0.99.3:
* On-the-fly switching between visual effects plugins
* Allow AC3 passthrough sound
* Fix races when getting errors on startup
* Fix vanity compilation
* Better error messages
* Implement recursive directory loading in the playlist
* Update the playlist title when playing a CD with CDDB
* Check that we could get tracks before trying to playback optical media
* Don't tell nautilus we can't thumbnail a file if it just takes a long time
* Don't show the window in the current workspace when enqueuing songs
* Remember "Always On Top" setting, and video widget size across sessions
* Added Startup Notification for files opened from Nautilus
* Use Konqueror when clicking on the "Add proprietary plugins" button when KDE
  is running
* Make the screenshot menu item unsensitive when no file is playing
* Save screenshots to the right place when "desktop directory is selected", and
  the home directory is the desktop
* Make the CD selector work on FreeBSD
* Hide the popups when changing workspaces
* Fixup argument parsing
* Fix a memleak in the recent files
* Make lirc silent on startup
* Detect libcurl version properly
* Build fixes for XRandR

0.99.2:
* Fixed XFree86 lockup on start bug (see http://bugs.xfree86.org/cgi-bin/bugzilla/show_bug.cgi?id=260 for the patch)
* Automatic resolution switching when going to fullscreen with auto-resize
enabled (useful for TV output)
* Audio output selection: stereo, 4.0, 5.0 or 5.1 channels
* Changed default command-line action to replace, not enqueue
* Stop the stream before exiting, fixes the long waits on exit
* Fix display of non-UTF8 id3 tags
* Rewrote most of the screensaver disabling code
* Implemented Winamp m3u compatibility and relative paths resolution
* Don't take more than 30 seconds to thumbnail a movie
* Fix the location of the screenshots if ~/Desktop exists (GNOME 2.3)
* Implemented seek to time (GStreamer)
* Sync'ed visuals quality with the xine backend (GStreamer)
* Really fix the position of the popup controls on first appearance

0.99.1:
* Added a automatic downloader for the DLLs on x86 machines
* Added a brightness and contrast preferences
* Fixed display of filenames in non-UTF-8 encodings without warnings
* Many behavioural fixes for the GStreamer backend
* HIG fixes for most of the dialogues
* Make it possible to turn off subtitles in DVDs if "no subtitles" is not the
  default
* Try harder to thumbnail short movies
* Make OGM subtitles and alternate soundtracks work
* Fix a crash when starting up totem from nautilus with more than one file
* Autostart playback of optical media if they're listed on the command-line
* FreeBSD build fixes

0.99.0:
* Added support for error messages coming from the xine engine itself
* Fixed playbacks of DVDs and other media in the movie menu
* Speed up playlist loading
* Worked around a bug in egg-recent that would add a '/' to local filenames
* Read links in .desktop files to be able to use the drag'n'drop of the video
  as a bookmark system
* devfs support, FreeBSD support and misc. parsing fixes for the CD
  selection widget
* moved fullscreen code out of the video widget and into totem (enables
  fullscreen to work on the gstreamer backend)
* Automatic GNOME-based Proxy configuration
* Make the visual quality option menu actually work
* Add the /apps/totem/debug entry to enable debug in the playback engine
* Fixes concerning the colliding error and buffering dialogs
* Added a --disable-lirc argument to configure
* Fix handling of Recent Files and URIs

0.98.0:
* Added the Vanity webcam utility
* Added a Nautilus properties page
* Added options to configure the visual effects more precisely
* Added a buffering dialog for when opening network files, statusbar now says
  "Streaming" when streaming from the network
* Really set the Real decoders' path, link the DLLs from /usr/lib/win32 on
  startup
* Draw a black background on the video widget on startup
* Fix resizing to sizes smaller than the default dimensions
* Fix a crash when using the "Open Location..." dialog
* Fix a crash in the error dialog
* Don't start playback on startup when restoring playlists
* Gstreamer backend updates

0.97.0:
* Experimental GStreamer backend (pass --enable-gstreamer to configure)
* Re-enable the visuals on the fly
* Added a TV-out feature via DXR3 or NVTV
* Implement playlist reordering, saving, and automatic restore on startup
* Added a button to get a filemanager to add new proprietary plugins (DLLs,
  and Real Media .so files)
* Added a deinterlacing setting
* Added a popup menu on the video canvas
* Make it possible to hide everything but the video canvas
* Fix positioning problem with the popup controls when switching to fullscreen
  for the first time
* Fix the thumbnailer (better to test it next time...)

0.96.0:
* Added subtitles and audio languages selection menus for DVDs
* Added support for setting the network connection speed
* Added mousewheel support for all the sliders
* Added an "Open Location" menu item to the File menu
* Make it possible to make screenshots of the vis plugins, and switch them
  off and on on-the-fly
* Add 'Always on Top' functionality
* Added an Eject button
* Add SMIL playlist support, and differentiate Real Video playlists from the
  actual video files
* Thumbnails now have "film-like" holes on their sides, like cells
* Fix lockups on Red Hat Linux 9
* Make the playlist and the label use CDDB information
* Use an internal mixer for the volume instead of the system one
* Use the configured CD device for the CDDA plugin
* Fix a crash when it was a URI being drag and not a local filename
* Fix build system for the thumbnailer's schemas
* Much less verbosity on the command line
* Fix a problem with the "remote" API which would make Totem receive only
  the first file of a list of them
* Fix a crash when changing the resolution of the screen, in fullscreen mode

0.95.1:
* Fix a crasher bug when switching to fullscreen

0.95.0:
* Xinerama, dual-head and RandR support
* Added a "remote" mode to control a running Totem
* Seeking with the seekbar is no longer a mess
* Fix screenshots when the aspect ratio was 1.0
* Better error reporting
* Fix statusbar time reporting
* Actually use detection by content instead of suffix guesses
* Support Real Audio URLs in the playlist
* Make it possible to cycle the playlist both ways in repeat mode
* Renamed GtkXine to BaconVideoWidget
* Plenty of compilation and bug fixes, memleaks plugged

0.90.0:
* added Screenshot function
* drag'n'drop and mousewheel actions for the video canvas
  (drag a video to the desktop to bookmark it)
* added a video thumbnailer for Nautilus
* faster video widget with faster fullscreen
* added authentication dialogs for locations needing it
* moved the gnome-vfs plugin to xine-lib
* make it work on remote displays
* some cleanups making seeking faster
* added visual effects for audio-only files
* added a statusbar
* added CDDA support (Digital CD playback)
* added subtitle support (only on the command-line, use like:
  "totem file.avi#subtitle:file.sub")
* added a dialog for more precise seeking
* plenty of bug fixes

0.13.1:
* Make it work again on glib-2.x based platforms
* CD selection widget fixes

0.13.0:
* Plenty of small bug fixes
* Detection and easier selection of the Optical Media Drive
* Better DVD navigation (John McCutchan <ttb@tentacle.dhs.org>)
* Fix wrong aspect ratio

0.12.1:
* Fix DVD playback from the menu item
* Added the Real Media types to the list of handled files

0.12.0:
* Port to the new xine API (1.0 alpha)
* New Properties window
* Working preferences (whoo! stop asking about that one now)
* Add support for more multimedia keys (grab ACME CVS to configure them</hint>)
* Plenty of cleaning up (Daniel Caujolle-Bert, myself)
* Some minor UI changes (icons and layout, by Luca Ferretti)
* Be more helpful to the user about DVD and VCD playback

0.11.0:
* Fix 2 crasher bugs with the playlist (with help from Sebastien Bacher
<seb128@debian.org>)
* Recent files support (James Willcox <jwillcox@gnome.org> and myself)
* Added preference to change the window size when a new file is loaded
* lirc remote control support (James Willcox <jwillcox@gnome.org>)
* .spec file for Red Hat distros (Matthias Saou <matthias@rpmforge.net>)

0.10.0:
* Minor UI bugfixes
* Fix leak in scale ratio change by not using xine_get_current_frame()
* Fix some memory leaks
* Fix .desktop file installation
* Make DVD and VCD playback work
* Make the file selectors remember the path they were in
* Made it so that the fullscreen window would always overlap the normal UI

0.9.1:
* Fix the gconf schemas file

0.9:
* Fixed nautilus integration and support more file-types
* Killed all the lockups with a better threading
* Loads of small bug fixes
* New logo
* Add scaling menu items and shortcuts
* Disable the screensaver when in full-screen mode

0.8:
* Removed eel dependency
* Added dnd to both the main window and the playlist
* Volume is not accessible if the sound device is busy or inexistant
* Nifty icon reflecting the volume
* Aspect toggling
* Some UI changes
* More error checking

0.7:
* First release !

